#!/usr/bin/env bash
set -eu

if [ -e ./.env ]
  then
  source ./.env
fi

export db_file="${PLAYER__DATABASE_NAME}"

if [ -n "${DB_PREFIX:-}" ]
  then
  PLAYER__DATABASE_NAME="${DB_PREFIX}_${PLAYER__DATABASE_NAME}"
fi

export PGPASSWORD="${POSTGRESCONNECTION__PASSWORD}"
export db_host="${POSTGRESCONNECTION__HOST}"
export db_port="${POSTGRESCONNECTION__PORT}"
export db_user="${POSTGRESCONNECTION__USERNAME}"
export db_name="${PLAYER__DATABASE_NAME}"
export db_schema="${PLAYER__DATABASE_SCHEMA_NAME}"

psql --host "$db_host" --username "$db_user" --port "$db_port" -c "CREATE DATABASE $db_name;"
pg_dump -h "$db_host" -U "$db_user" --port "$db_port" -d "$db_schema" --schema-only | psql -h "$db_host" -U "$db_user" --port "$db_port" -d "$db_name" -U "$db_user"
