#!/usr/bin/env bash
set -eu

if [ -e ./.env ]
  then
  source ./.env
fi

if [ -n "${DB_PREFIX:-}" ]
  then
  PLAYER__DATABASE_NAME="${DB_PREFIX}_${PLAYER__DATABASE_NAME}"
fi

export PGPASSWORD="${POSTGRESCONNECTION__PASSWORD}"
export db_host="${POSTGRESCONNECTION__HOST}"
export db_port="${POSTGRESCONNECTION__PORT}"
export db_user="${POSTGRESCONNECTION__USERNAME}"
export db_name="${PLAYER__DATABASE_NAME}"


psql -P pager=off -h "${db_host}" -p "${db_port}" -U "${db_user}" -c "DROP DATABASE IF EXISTS ${db_name};"
