import { connectionObj } from '../api/controllers/__mocks__/typeorm.mock';
import supertest from 'supertest';
import app from '../app';

const appTest = supertest(app);

describe('Default route', () => {
    it('should return default message', async () => {
        const response = await appTest.get('/');
        expect(connectionObj).toBeTruthy();
        expect(response.status).toEqual(200);
        expect(response.body).toHaveProperty('message');
    });
});

describe('bad route', () => {
    it('should return REQUEST_NOT_FOUND', async () => {
        const response = await appTest.get('/path');
        expect(connectionObj).toBeTruthy();
        expect(response.status).toEqual(404);
        expect(response.body).toHaveProperty('message');
    });
});
