import dummyQueue from '../dummyQueue';

jest.mock('aws-sdk', () => {
    const mockedSQS = {
        sendMessage: jest.fn().mockReturnThis(),
        promise: jest.fn(),
    };
    const mockedLambda = {
        invoke: jest.fn().mockReturnThis(),
        promise: jest.fn().mockReturnValue(true),
    };
    return {
        SQS: jest.fn(() => mockedSQS),
        Lambda: jest.fn(() => mockedLambda),
    };
});

describe('dummyQueue', () => {
    it('should call invoke', () => {
        const response = dummyQueue({}, 'simple');
        expect(response).toBeDefined();
    });

    it('should call invoke when no queueType passed', () => {
        const response = dummyQueue({}, '');
        expect(response).toBeDefined();
    });
});
