import { Lambda } from 'aws-sdk';

const lambda = new Lambda({
    apiVersion: '2015-03-31',
    region: 'eu-west-2',
  // endpoint needs to be set only if it deviates from the default, e.g. in a dev environment
  // process.env.SOME_VARIABLE could be set in e.g. serverless.yml for provider.environment or function.environment
    endpoint: 'http://localhost:3010',
});

const dummyQueue = (payload, queueType) => {
    const params = {
      // FunctionName is composed of: service name - stage - function name, e.g.
        FunctionName: queueType === 'simple' ? 'itemengine-player-api-local-save-student-attempts-simple' : 'itemengine-player-api-local-save-student-attempts-priority',
        InvocationType: 'RequestResponse',
        Payload: JSON.stringify({ data: payload }),
    };

    return lambda.invoke(params).promise();
};

export default dummyQueue;
