import {
    Entity,
    JoinColumn,
    OneToMany,
} from 'typeorm';
import { TableNames } from '../utils/TableNames';
import { Assignments } from './Assignments';
import AssignmentStageEntity from '../baseModels/AssignmentStageEntity';

@Entity({ name: TableNames.ASSIGNMENT_STAGE })
export class AssignmentStage extends AssignmentStageEntity {
    @OneToMany((type) => Assignments, (assignment) => assignment.assignmentStage)
    @JoinColumn({ name: 'id', referencedColumnName: 'assignment_stage_id' })
    assignments: Assignments[];
}

export default AssignmentStage;
