import {
    Entity,
    OneToMany,
    ManyToOne,
    JoinColumn,
} from 'typeorm';
import { TableNames } from '../utils/TableNames';
import { AssignmentStudentMapping } from './AssignmentStudentMapping';
import { QuestionQuestionpartMap } from './QuestionQuestionpartMap';
import { AssignmentsQuestionMapEntity } from '../baseModels/AssignmentsQuestionMapEntity';

@Entity({
    name: TableNames.STUDENTASSIGNMENTQUESTIONMAPPING,
})
export class AssignmentsQuestionMap extends AssignmentsQuestionMapEntity {
    @ManyToOne(
        (type) => AssignmentStudentMapping,
        (studentAssignment) => studentAssignment.questions,
        { onUpdate: 'CASCADE', onDelete: 'CASCADE' }
    )
    @JoinColumn({ name: 'student_assignment_id', referencedColumnName: 'id' })
    studentAssignment: AssignmentStudentMapping;

    @OneToMany(
        (type) => QuestionQuestionpartMap,
        (questionParts) => questionParts.assignmentQuestionMap,
        { cascade: true, onUpdate: 'CASCADE', onDelete: 'CASCADE' }
    )
    @JoinColumn({
        name: 'id',
        referencedColumnName: 'assignment_question_mapping_id',
    })
    questionParts: QuestionQuestionpartMap[];
}

export default AssignmentsQuestionMap;
