import {
    Entity,
    OneToMany,
    JoinColumn,
} from 'typeorm';
import { TableNames } from '../utils/TableNames';
import { AssignmentStudentMapping } from './AssignmentStudentMapping';
import { GradingStatusEntity } from '../baseModels/GradingStatusEntity';

@Entity({
    name: TableNames.GRADING_STATUS,
})
export class GradingStatus extends GradingStatusEntity {
    @OneToMany(
        (type) => AssignmentStudentMapping,
        (assignments) => assignments.gradingStatusId
    )
    @JoinColumn({ name: 'id', referencedColumnName: 'grading_status_id' })
    assignedStudents: AssignmentStudentMapping[];
}

export default GradingStatus;
