import {
    Entity,
    ManyToOne,
    JoinColumn,
    OneToMany,
    Column,
    Index,
} from 'typeorm';
import { TableNames } from '../utils/TableNames';
import { AssignmentsQuestionMap } from './AssignmentsQuestionMap';
import { Response } from './Response';
import { QuestionQuestionpartMapEntity } from '../baseModels/QuestionQuestionpartMapEntity';

@Entity({ name: TableNames.QUESTIONQUESTIONPARTMAPPING })
export class QuestionQuestionpartMap extends QuestionQuestionpartMapEntity {

    @Column({
        name: 'is_attempted',
        default: false,
        type: 'boolean',
    })
    public is_attempted: boolean;

    @Index('question_questionpart_response_id_idx', {
        unique: true,
    })
    @Column({
        type: 'text',
        name: 'response_id',
        nullable: false
    })
    public responseId: String;

    @ManyToOne(
        (type) => AssignmentsQuestionMap,
        (assignmentQuestionMap) => assignmentQuestionMap.questionParts,
        { onUpdate: 'CASCADE', onDelete: 'CASCADE' }
    )
    @JoinColumn({
        name: 'assignment_question_mapping_id',
        referencedColumnName: 'id',
    })
    assignmentQuestionMap: AssignmentsQuestionMap;

    @OneToMany((type) => Response, (response) => response.questionPartResponse)
    @JoinColumn({
        name: 'id',
        referencedColumnName: 'question_part_response_mapping_id',
    })
    response: Response[];

    @Column({
        type: 'int',
        name: 'attempted_answer_set_id',
        nullable: true
    })
    public attemptedAnswerSetId: number;
}

export default QuestionQuestionpartMap;
