import {
    Column,
    Entity,
    PrimaryGeneratedColumn,
    JoinColumn,
    ManyToOne,
    Index,
} from 'typeorm';
import { TableNames } from '../utils/TableNames';
import QuestionQuestionpartMap from './QuestionQuestionpartMap';

@Entity({ name: TableNames.RESPONSE })
export class Response {
    @PrimaryGeneratedColumn()
    public id: number;

    @Index('response_questionpartresponsemapping_id_idx')
    @Column({
        name: 'question_part_response_mapping_id',
        nullable: true,
    })
    public questionPartResponseMappingId: number;

    @Column({
        name: 'xml_identifier',
        nullable: true,
        length: 256,
    })
    public xmlIdentifier: string;

    @Column({
        name: 'response_text',
        nullable: true,
        type: 'text',
    })
    public responseText: string;

    @ManyToOne(
        (type) => QuestionQuestionpartMap,
        (assignmentStudentResponseMapping) =>
            assignmentStudentResponseMapping.response,
        { onUpdate: 'CASCADE', onDelete: 'CASCADE' }
    )
    @JoinColumn({
        name: 'question_part_response_mapping_id',
        referencedColumnName: 'id',
    })
    questionPartResponse: QuestionQuestionpartMap;
}

export default Response;
