import {
    Column,
    Entity,
    PrimaryGeneratedColumn,
    OneToMany,
    JoinColumn,
} from 'typeorm';
import { TableNames } from '../utils/TableNames';
import { AssignmentStudentMapping } from './AssignmentStudentMapping';

@Entity({ name: TableNames.STUDENTSTATUS })
export class StudentStatus {
    @PrimaryGeneratedColumn()
    public id: number;

    @Column({
        nullable: true,
        length: 64,
    })
    public title: string;

    @OneToMany(
        (type) => AssignmentStudentMapping,
        (assignments) => assignments.studentStatusId
    )
    @JoinColumn({ name: 'id', referencedColumnName: 'student_status_id' })
    singleAssignment: AssignmentStudentMapping[];
}

export default StudentStatus;
