import {
    Column,
    Entity,
    PrimaryGeneratedColumn,
    OneToMany,
    JoinColumn,
} from 'typeorm';
import { TableNames } from '../utils/TableNames';
import { AssignmentStudentMapping } from './AssignmentStudentMapping';
@Entity({ name: TableNames.TEACHERSTATUS })
export class TeacherStatus {
    @PrimaryGeneratedColumn()
    public id: number;

    @Column({
        nullable: true,
        length: 64,
    })
    public title: string;

    @OneToMany(
        (type) => AssignmentStudentMapping,
        (assignmentStudent) => assignmentStudent.teacherStatus
    )
    @JoinColumn({ name: 'id', referencedColumnName: 'teacher_status_id' })
    singleAssignment: AssignmentStudentMapping[];
}

export default TeacherStatus;
