import PlayerController from '../api/controllers/PlayerController';
import { Request, Response } from 'express';
import { message } from '../json/en.json';

class Routes {
    private playerController: PlayerController;
    constructor() {
        this.playerController = new PlayerController();
    }
    public routes(app): void {
        const prefix = process.env.ROUTE_PREFIX || '';
        app.route(`${prefix}/`).get((request: Request, response: Response) => {
            response.status(200).send({ message });
        });

        app.route(`${prefix}/player/student`)
            .post(this.playerController.studentPlayerView);

        app.route(`${prefix}/player/:submitOrSave`)
            .post(this.playerController.asyncSaveOrSubmitAssignmentResponse);
    }
}

export { Routes };
