import { mocked } from 'ts-jest/utils';
import logger from '../logger';
import { logError, logInfo } from '../ErrorLogger';
import { ResponseStatus } from '../ResponseStatus';
import { criticalPrefix } from '../../json/en.json';

jest.mock('../logger');
const mockLogger = mocked(logger, true);

describe('Errorlogger', () => {

    const error = {
        message : 'Dummy Message',
    };
    const res = {};

    afterAll(() => jest.resetModules());

    it('logError', async () => {
        mockLogger.error = jest.fn().mockImplementation(s => res);
        await logError(
            ResponseStatus.INTERNAL_SERVER_ERROR, `${criticalPrefix} ${error.message}`, 'logDataForLogError');
        expect(mockLogger.error)
        .toHaveBeenCalledWith({ methodName: 'logDataForLogError', status: ResponseStatus.INTERNAL_SERVER_ERROR, message: `${criticalPrefix} ${error.message}` });
    });

    it('logInfo', async () => {
        mockLogger.info = jest.fn().mockImplementation(s => res);
        await logInfo(ResponseStatus.INTERNAL_SERVER_ERROR, `${criticalPrefix} ${error.message}`, 'logDataForLogInfo');
        expect(mockLogger.info)
        .toHaveBeenCalledWith({ methodName: 'logDataForLogInfo', status: ResponseStatus.INTERNAL_SERVER_ERROR, message: `${criticalPrefix} ${error.message}` });
    });
});
