import { TimeLogger } from './../timeLogger';

describe('should log time with fields', () => {
    const name = 'player service';
    const methodName = 'console';
    const timeLogger = new TimeLogger('loadtest', [name, methodName]);
    const spyOnStart = jest.spyOn(timeLogger, 'start');
    const spyOnStop = jest.spyOn(timeLogger, 'stop');
    const spyConsoleTime = jest.spyOn(console, 'time');
    afterAll(() => {
        jest.clearAllMocks();
    });
    it('should spy on time logger', () => {
        timeLogger.start('with-fields');
        console.info('test');
        timeLogger.stop('with-fields');
        expect(spyOnStart).toHaveBeenCalled();
        expect(spyOnStop).toHaveBeenCalled();
        expect(spyConsoleTime).toHaveBeenCalledWith('loadtest:player service-console:with-fields');
    });
});

describe('should log time without fields', () => {
    const timeLogger = new TimeLogger('loadtest');
    const spyOnStart = jest.spyOn(timeLogger, 'start');
    const spyOnStop = jest.spyOn(timeLogger, 'stop');
    const spyConsoleTime = jest.spyOn(console, 'time');
    afterAll(() => {
        jest.clearAllMocks();
    });
    it('should spy on time logger', () => {
        timeLogger.start('without-field');
        console.info('test');
        timeLogger.stop('without-field');
        expect(spyOnStart).toHaveBeenCalled();
        expect(spyOnStop).toHaveBeenCalled();
        expect(spyConsoleTime).toHaveBeenCalledWith('loadtest::without-field');
    });
});
