import dotenv from 'dotenv';
import { getTypeormExtraOptions } from '../typeormExtra';

describe('typeormCache', () => {
    beforeAll(() => {
        dotenv.config();
    });
    describe('getTypeormExtraOptions', () => {
        const OLD_ENV = process.env;
        let response;
        describe('typeorm default max connection', () => {
            beforeEach(() => {
                jest.resetModules();
                process.env = { ...OLD_ENV };
                response = getTypeormExtraOptions();
            });
            afterEach(() => {
                process.env = OLD_ENV;
            });
            it('should retrun valid response', () => {
                expect(response).toHaveProperty('max', Number(process.env.PLAYER__TYPEORM_MAX_CONNECTIONS));
            });
        });
        describe('typeorm modified max connection', () => {
            let response;
            beforeEach(() => {
                jest.resetModules();
                process.env = { ...OLD_ENV, PLAYER__TYPEORM_MAX_CONNECTIONS: '30' };
                response = getTypeormExtraOptions();
            });
            afterEach(() => {
                process.env = OLD_ENV;
            });
            it('should retrun valid response', () => {
                expect(response).toHaveProperty('max', 30);
            });
        });
    });
});
