import redis from 'redis';

const getTypeormCacheOptions = (): any => {
    if (process.env.PLAYER__TYPEORM_CACHE_ENABLED !== 'true') {
        return false;
    }
    const cacheType = process.env.PLAYER__TYPEORM_CACHE_TYPE || 'database';
    const duration = process.env.PLAYER__PLAYER__TYPEORM_CACHE_TYPE || '1000';

    if (cacheType === 'redis') {
        const redisOptions: redis.ClientOpts = {
            host: process.env.REDIS__HOST,
            port: Number(process.env.REDIS__PORT),
            db: process.env.REDIS__DATABASE,
        };

        if (process.env.REDIS__ENABLE_PASSWORD === 'true') {
            redisOptions.password = process.env.REDIS__PASSWORD;
        }
        if (process.env.REDIS__ENABLE_SSL === 'true') {
            redisOptions.tls = {};
        }

        return {
            type: 'redis',
            options: redisOptions,
            duration: Number(duration),
        };
    }

    return {
        type: cacheType,
        tableName: 'query_result_cache',
        duration: Number(duration),
    };
};

export { getTypeormCacheOptions };
